Loading...
Searching...
No Matches
Opm::ThreePhaseMaterialTraits< ScalarT, wettingPhaseIdxV, nonWettingasPhaseIdxV, gasPhaseIdxV, enableHysteresisV, enableEndpointScalingV > Class Template Reference

A generic traits class for three-phase material laws. More...

`#include <MaterialTraits.hpp>`

## Public Types

using | Scalar = ScalarT
| The type used for scalar floating point values.

## Static Public Attributes

static constexpr int | numPhases = 3
| The number of fluid phases.
static constexpr int | wettingPhaseIdx = wettingPhaseIdxV
| The index of the wetting liquid phase.
static constexpr int | nonWettingPhaseIdx = nonWettingasPhaseIdxV
| The index of the non-wetting liquid phase.
static constexpr int | gasPhaseIdx = gasPhaseIdxV
| The index of the gas phase (i.e., the least wetting phase).
static constexpr bool | enableHysteresis = enableHysteresisV
| Is hysteresis enabled.
static constexpr bool | enableEndpointScaling = enableEndpointScalingV
| Is endpoint scaling enabled.

## Detailed Description

template<class ScalarT, int wettingPhaseIdxV, int nonWettingasPhaseIdxV, int gasPhaseIdxV, bool enableHysteresisV, bool enableEndpointScalingV>
class Opm::ThreePhaseMaterialTraits< ScalarT, wettingPhaseIdxV, nonWettingasPhaseIdxV, gasPhaseIdxV, enableHysteresisV, enableEndpointScalingV >

A generic traits class for three-phase material laws.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/MaterialTraits.hpp